]> git.sev.monster Git - dotfiles.git/commitdiff
update submodules, remove bsd shims, fix bugs
authords6 <git@ds6.pw>
Sun, 12 Aug 2018 11:53:20 +0000 (06:53 -0500)
committersev <git@sev.monster>
Fri, 5 Apr 2024 21:27:39 +0000 (16:27 -0500)
remove .login_conf, .mailrc
simplify $HOME usage overall, only use where needed
fix old changed paths (l -> lck)
shorten bsd-specific paths (`/usr/local', etc)
add tint2-alsa, only supports alsa, bsd has oss volumeicon pkg

specific additions & changes in files:
.Xresources: fix/upd matcher, unbreak unicode, add yeahconsole
.xinitrc: now uses zsh for env, still sh-compatible
.xinitrc: remove conky stuff for now, rely on urxvtd now
.zprofile: fix tmp folder generation and links, go on all userlands
.zshenv: add XDG_RUNTIME_DIR
.zshrc: update aliases, accept pstree, deprecate wscons kludge
tint2-wifi: remove bsd stuff, require linux /proc... might readd
timt2-i3status: fix busybox lack of -u, makes output choke(!)
install.sh: use portable -perm, remove broken android "fix",
            better icon theme detection
compton.conf: change shadows, temp fix for unknown crash
i3/config: compat with sway, split all colors into single words
tint2rc: update colors, update to latest config version

20 files changed:
base/.Xresources
base/.login_conf [deleted file]
base/.mailrc [deleted file]
base/.vim/pack/commentary.vim/start/vim-commentary
base/.vim/pack/repeat.vim/start/vim-repeat
base/.vim/pack/surround.vim/start/vim-surround
base/.xinitrc
base/.zprofile
base/.zshenv
base/.zshrc
bin/dmenu_runsmart
bin/i3-printinfo
bin/tint2-alsa [new file with mode: 0755]
bin/tint2-i3status
bin/tint2-wifi
install.sh
xdg/compton.conf
xdg/i3/config
xdg/tint2/tint2rc
xorg/icons/paper-icon-theme

index f3133d334a804afae9614b4b71662b5f1c72f37b..d1db23fd3c896f031675d7042d9385c3f373740c 100644 (file)
@@ -67,7 +67,7 @@ Xcursor.theme:            Paper-Mono-Dark
 
 
 ! URxvt
-URxvt.termName:           rxvt-256color
+URxvt.termName:           rxvt-unicode-256color
 URxvt.perl-ext:
 URxvt.perl-ext-common:    searchable-scrollback,confirm-paste,matcher,font-size
 
@@ -82,9 +82,9 @@ URxvt.scrollBar_right:    true
 URxvt.urgentOnBell:       true
 URxvt.visualBell:         true
 
-URxvt.url-launcher:       /usr/local/bin/xdg-open
-URxvt.matcher.button:     1
-URxvt.matcher.pattern.0:  [a-zA-Z\d]+:/+[\\w-](?:\\.?[\\w-]+)*(?::\\d{1,5})?(?:/(?:[\\w\\d\\.!#$&\\-;=?~[\\]/]|%[\\da-fA-F]{2})*)?
+URxvt.url-launcher:       xdg-open
+URxvt.matcher.button:     2
+URxvt.matcher.pattern.0:  [a-zA-Z\d]+:/\/[\\w-](?:\\.?[\\w-]+)*(?::\\d{1,5})?(?:/(?:[\\w\\d\\.!#$&\\-;=?~[\\]/]|%[\\da-fA-F]{2})*)?
 URxvt.matcher.rend.0:     Uline Bold fg6
 !URxvt.matcher.pattern.1:  \\s(/\\S+?):(\\d+)(?=:|$)
 !URxvt.matcher.rend.1:     Uline fg3
@@ -99,7 +99,7 @@ URxvt.keysym.M-slash:     font-size:show
 URxvt.print-pipe:         cat > "$HOME/urxvt-$(date +'%Y-%m-%d-%H%M%S')"
 
 ! bg terminal 1
-TermBg1.termName:         rxvt-256color
+TermBg1.termName:         rxvt-unicode-256color
 TermBg1.perl-ext:
 TermBg1.perl-ext-common:
 
@@ -114,7 +114,7 @@ TermBg1.shading:          80
 TermBg1.blurRadius:       2x4
 
 ! bg terminal 2
-TermBg2.termName:         rxvt-256color
+TermBg2.termName:         rxvt-unicode-256color
 TermBg2.perl-ext:
 TermBg2.perl-ext-common:
 
@@ -131,3 +131,19 @@ xvkbd.Alt_R.width:        1
 xvkbd.Meta_R.width:       1
 xvkbd.Multi_key.width:    1
 xvkbd.Shift_R.width:      75
+
+! yeahconsole
+yeahconsole.term:             urxvtc
+yeahconsole.toggleKey:        Alt+grave
+yeahconsole.keySmaller:       AltShift+subtract
+yeahconsole.keyBigger:        AltShift+equals
+yeahconsole.keyFull:          Alt+F11
+yeahconsole.scrollBar:        false
+yeahconsole.cursorUnderline:  true
+yeahconsole.visualBell:       true
+
+yeahconsole.depth:            32
+yeahconsole.borderLess:       true
+yeahconsole.transparent:      true
+yeahconsole.shading:          80
+yeahconsole.blurRadius:       2x4
diff --git a/base/.login_conf b/base/.login_conf
deleted file mode 100644 (file)
index c0c5949..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-# $FreeBSD: releng/11.0/share/skel/dot.login_conf 77995 2001-06-10 17:08:53Z ache $
-#
-# see login.conf(5)
-#
-me:\
-       :charset=UTF-8:\
-       :lang=en_US.UTF-8:\
-       :setenv=LC_ALL=en_US.UTF-8:
diff --git a/base/.mailrc b/base/.mailrc
deleted file mode 100644 (file)
index 2081266..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-set append ask
-set indentprefix="> "
-set PAGER=more
-set EDITOR=vim
-set VISUAL=vim
-set folder=Mail
-retain bcc cc date from subject to
index 54e5676988e6eeaa05b41730b6b056026ad0ef13..141d9d32a9fb58fe474fcc89cd7221eb2dd57b3a 160000 (submodule)
@@ -1 +1 @@
-Subproject commit 54e5676988e6eeaa05b41730b6b056026ad0ef13
+Subproject commit 141d9d32a9fb58fe474fcc89cd7221eb2dd57b3a
index 8106e142dfdc278ff3eaaadd7b362ad7949d4357..43d2678fa59d068c815d8298331c195e850ff5a7 160000 (submodule)
@@ -1 +1 @@
-Subproject commit 8106e142dfdc278ff3eaaadd7b362ad7949d4357
+Subproject commit 43d2678fa59d068c815d8298331c195e850ff5a7
index e49d6c2459e0f5569ff2d533b4df995dd7f98313..597068870b8f093a8b2d11536c62ff31222ee8d0 160000 (submodule)
@@ -1 +1 @@
-Subproject commit e49d6c2459e0f5569ff2d533b4df995dd7f98313
+Subproject commit 597068870b8f093a8b2d11536c62ff31222ee8d0
index fc4bbb57a8f61f13a85c422aa0f6ed11ca14841f..72661b433d652be032c87989b257d7ee081cbb13 100644 (file)
@@ -1,9 +1,10 @@
-#!/bin/sh
+#!/bin/zsh
+# using zsh to load .zshenv (eg. for PATH) but file is sh-compatible
 
 sysmodmap=/usr/local/etc/X11/xinit/.Xmodmap
 sysresources=/usr/local/etc/X11/xinit/.Xresources
-usermodmap="$HOME/.Xmodmap"
-userresources="$HOME/.Xresources"
+usermodmap=~/.Xmodmap
+userresources=~/.Xresources
 
 if [ -f $sysresources ]; then
        xrdb -merge $sysresources
@@ -45,22 +46,25 @@ volumeicon &
 # daemons
 dunst &
 mpc-notify -d &
-xautolock -time 10 -locker "$HOME/bin/l" &
+xautolock -time 10 -locker "$HOME/bin/lck" &
 xbanish &
 eval `ssh-agent`
 
-if [ -x /usr/local/bin/urxvtd ]; then
+if [ -z "$TERMINAL" -a \( -x /usr/bin/urxvtd -o -x /usr/local/bin/urxvtd \) ]; then
        for i in 1 2; do
                # try to start client twice, once before checking for daemon
                # and another after trying to start it
-               urxvtc -e exit
+               urxvtc -e exit 2>/dev/null
                if [ $? -eq 2 ]; then
                        # daemon not started, attempt to start once
                        if [ $i -eq 1 ]; then
                                urxvtd -q -o -f
+                       else
+                               TERMINAL=urxvt
+                               export TERMINAL
                        fi
                else
-                       TERMINAL=/usr/local/bin/urxvtc
+                       TERMINAL=urxvtc
                        export TERMINAL
                        break
                fi
@@ -69,12 +73,11 @@ if [ -x /usr/local/bin/urxvtd ]; then
 fi
 
 # try to wait for session to start
-#(sleep 0.1 && tint2) &
-#(sleep 0.1 && yabar -c "$HOME/etc/yabar/yabar.conf") &
-#x220t
-(sleep 0.1 && [ -x "$HOME/bin/acpi_ac" ] && \
-       "$HOME/bin/acpi_ac" "0x0`sysctl -n hw.acpi.acline`") &
-(sleep 1.5 && [ -x /usr/local/bin/conky ] && conky -c "$HOME/.conkyrc.d/dock") &
+(sleep 0.1 && tint2) &
+# x220t
+# TODO: check hostname to load auxillary things
+# TODO: reformat for linux
+#(sleep 0.1 "$HOME/bin/acpi_ac" "0x0`sysctl -n hw.acpi.acline`") &
 
 # load any global scripts
 if [ -d /usr/local/etc/X11/xinit/xinitrc.d ]; then
@@ -85,7 +88,7 @@ if [ -d /usr/local/etc/X11/xinit/xinitrc.d ]; then
 fi
 
 # start session
-if [ ! -n "$1" ]; then
+if [ -z "$1" ]; then
        session=i3
 else
        session=$1
index 39abb7d416ffc5e4e6c4da52a06bf6320f9cd497..3c1d2e0047ae5ccebbd939e33ce4debe9a7e3ad5 100644 (file)
@@ -1,5 +1,12 @@
-case "`uname`" in *BSD*)
-       mkdir -m 700 "/tmp/home-$LOGNAME" > /dev/null 2>&1
-       unlink "$HOME/tmp" > /dev/null 2>&1
-       ln -sFh "/tmp/home-$LOGNAME" "$HOME/tmp";;
-esac
+#XXX: $PATH gets unset on alpine???
+source ~/.zshenv
+
+t="/tmp/home-$LOGNAME"
+h="$HOME/tmp"
+if [[ ! -e "$t" ]] {
+       mkdir -m 700 "$t" > /dev/null 2>&1
+}
+#allow opaque entries to override
+if [[ ! -e "$h" ]] {
+       ln -sf "$t" "$h" > /dev/null 2>&1
+}
index cae4b34b246a4d09f9d188fdfb04bb2bc931f99c..e1debfdb108a32b6028ce85b488c596b49eeefe0 100644 (file)
@@ -17,17 +17,12 @@ export XDG_CONFIG_DIRS=~/.config:/usr/pkg/etc/xdg:/usr/local/etc/xdg:/etc/xdg
 export XDG_DATA_HOME=~/share
 export XDG_DATA_DIRS=~/.local/share:/usr/pkg/share:/usr/local/share:/usr/share
 export XDG_CACHE_HOME=~/tmp
+export XDG_RUNTIME_DIR=~/tmp
 
 ### applications
 export PYTHONSTARTUP=~/.pythonrc
 
-### freebsd
-if [[ "$OSTYPE" =~ "^freebsd" ]]; then
-       export CLICOLOR=
-       export LS_COLORS='di=34:ln=35:so=32:pi=33:ex=31:bd=46;34:cd=43;34:su=41;30:sg=46;30:tw=42;30:ow=43;30'
-fi
-
 ### load site-specific
-if [[ -f ~/.zshenv.local ]]; then
+if [[ -f ~/.zshenv.local ]] {
        source ~/.zshenv.local
-fi
+}
index 2486de7e66856e9d10bf8b78d4677b415ceb6976..393d2298b8eddbc23188630f53b6df5d7e51c9c6 100644 (file)
@@ -29,10 +29,30 @@ zle -N down-line-or-beginning-search
 alias h="history -25"
 alias j="jobs -l"
 alias l="ls -AF"
-alias ll="ls -lAFho"
+if [[ "$OSTYPE" =~ '^(free|net)bsd' ]] {
+    alias ll="ls -lAFho"
+} else {
+    alias ll="ls -lAFh"
+}
 ## ps
-local p="ps -aSdxwwouser=USR -ogroup=GRP -opid,nice=N \
-         -o%cpu,%mem,tt,stat,start=START -oetime,command | ${PAGER:-more} -Se"
+local p=""
+if { which pstree >/dev/null 2>&1 && [[ ! "$(readlink -f $(which pstree))" =~ "/busybox" ]] } {
+    p="pstree -wg3"
+} elif [[ "$OSTYPE" =~ '^freebsd' ]] {
+    p="ps -aSdfxwwouser=USR -ogroup=GRP -opid,nice=NI \
+       -o%cpu,%mem,tty,stat,start=START -oetime,command"
+} elif [[ "$(readlink -f $(which ps))" =~ "/busybox" ]] {
+    # busybox compatible
+    p="ps -eouser='USR     ' -ogroup='GRP     ' \
+       -opid='  PID' -onice=' NI' -ovsz=' MEM' \
+       -otty,stat,etime,comm"
+} else {
+    # XXX: untested, posix
+    # TODO: support gnu ps
+    p="ps -eouser=USR -ogroup=GRP -opid,nice=NI \
+       -opcpu=CPU -ovsz=MEM -otty,stat,etime,comm"
+}
+p="$p | ${PAGER:-more} -Se"
 alias pa="$p"
 alias spa="sudo $p"
 unset p
@@ -46,21 +66,23 @@ if [[ "$OSTYPE" =~ '^freebsd' ]] {
     # don't confirm if only a few files are deleted
     alias rm='rm -I'
 } else {
+    # TODO: similar behavior for non-freebsd
     alias rm='rm -i'
 }
 
 ### prompt
 setopt prompt_subst
-local f=
+# DEPR: color reset added to NetBSD in PR/53245, following is not needed for recent releases
+#local f=
 #XXX: can't think of a way to tell if ssh client is on wscons, just kludge 24/7
 #if [[ "$OSTYPE" = "netbsd" && ( "$TERM" =~ "^wsvt" || "$TERM" =~ '^vt' ) ]] {
 #    # fix for wscons
 #    f="%F{white}"
 #} else {
-    f="%f"
+#    f="%f"
 #}
-PROMPT='%F{$VICOL}%n'"$f"'@%F{$VICOL}%2m'"$f"'%(?../%F{red}$?'"$f"')%# '
-RPROMPT='%F{yellow}${vcs_info_msg_0_:-%~}'"$f"' %T'
+PROMPT='%F{$VICOL}%n%f@%F{$VICOL}%2m%f%(?../%F{red}$?%f)%# '
+RPROMPT='%F{yellow}${vcs_info_msg_0_:-%~}%f %T'
 
 ## change color based on zle vi mode
 function zle-line-init zle-keymap-select {
@@ -73,15 +95,15 @@ zle -N zle-keymap-select
 ## vcs
 autoload -Uz vcs_info
 zstyle ':vcs_info:*' enable git
-zstyle ':vcs_info:git*' formats       '%c%u%%F{green}%r/%b%%F{white}/%%F{yellow}%S%'"$f"
-zstyle ':vcs_info:git*' actionformats '%%F{red}(%a)'"$f"' %c%u%%F{green}%r/%b'"$f"'/%%F{yellow}%S'"$f"
+zstyle ':vcs_info:git*' formats '%c%u%%F{green}%r/%b%%F{white}/%%F{yellow}%S%%f'
+zstyle ':vcs_info:git*' actionformats '%%F{red}(%a)%f %c%u%%F{green}%r/%b%f/%%F{yellow}%S%f'
 #zstyle ':vcs_info:git*' check-for-changes true #too slow
-zstyle ':vcs_info:git*:.dotfiles' check-for-changes true
+zstyle ':vcs_info:git*:dotfiles' check-for-changes true
 zstyle ':vcs_info:git*' check-for-staged-changes true
 zstyle ':vcs_info:git*' stagedstr   "%F{blue}+"
 zstyle ':vcs_info:git*' unstagedstr "%F{red}*"
 
-unset f
+#unset f
 
 ### hooks
 local _exectime=
@@ -97,9 +119,11 @@ function preexec {
     # change terminal title to show command
     print -Pnf "\e]2;%s\e\\" "%#${SSH_CLIENT+$USER@$HOST:}$1"
     # save last exec time for bell
+    # XXX: does not run for blank cmdline
     _exectime=$SECONDS
 }
 function chpwd {
+    # echo dir on cwd change
     l
 }
 
@@ -150,6 +174,9 @@ case "$OSTYPE"; in
             }
             mixerctl -w outputs.master"$2"="$1"
         };;
+    *)
+        ## sound
+        # TODO: test alsa/oss/sndio/portaudio/pulse in order of importance
 esac
 
 # The following lines were added by compinstall
index c239db1f29c2864b7b0acebea95b10eee7660972..c62e9ce0e67edd1f4e77c8e4ec79dd561dd39b2e 100755 (executable)
@@ -2,7 +2,9 @@
 cmd=$(dmenu_path | ~/bin/dmenu "$@")
 if [ -n "$cmd" ]; then
        # NOTE: only tested with zsh and sh, and has issues with expansion; zsh
-       # SH_WORD_SPLIT is unset by default, `=' flag is required to expand it
+       # SH_WORD_SPLIT is unset by default, `=' flag is required to expand it.
+       # XXX: probably has issues with single quotes
+       # XXX: does not perform any(!) shell expansion
        echo "alias sudo='sudo -Ak'
 cmd='$(echo "$cmd" | sed "s/'/'\\\\''/g")'" '
 if [ -n "$ZSH_VERSION" ]; then
index 60150d696dea05259ce946a76e79ef9ede91f0db..4c3b8d148129ca623e469055e9b41b792862ee78 100755 (executable)
@@ -18,7 +18,7 @@ if (not defined $str) {
 
 $i3->subscribe({
     $ev => sub {
-        # XXX: there has to be a better way to do this
+        # XXX: there has to be a way to make this one line
         my ($msg) = @_;
         # XXX: not escaped
         say Text::Template::fill_in_string($str, HASH=>$msg->{'container'});
diff --git a/bin/tint2-alsa b/bin/tint2-alsa
new file mode 100755 (executable)
index 0000000..2a18b5c
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/sh
+base=~/.icons/Paper-Mono-Dark/24x24/panel/audio-volume
+  high=$base-high.svg
+medium=$base-medium.svg
+   low=$base-low.svg
+ muted=$base-muted.svg
+
+ident="iface=MIXER,name=Master Playback Volume"
+eval $(amixer cget "$ident" | grep -o 'max=\d\+')
+
+while true; do
+       # XXX: assume mono, could be different
+       vol=$(amixer get Master | grep 'Mono:')
+       mute=$(echo "$vol" | cut -d ' ' -f 8)
+       vol=$(expr $(echo "$vol" | cut -d ' ' -f 5) \* 100 / $max \* 100 / 100)
+       if [ $mute = '[off]' ]; then
+               echo $muted
+       elif [ $vol -ge 75 ]; then
+               echo $high
+       elif [ $vol -ge 50 ]; then
+               echo $medium
+       elif [ $vol -ge 25 ]; then
+               echo $low
+       else
+               echo $muted
+       fi
+       sleep 2
+done
index 3d53d4d7c0fbff6216b7111332db3da733045e8a..1132d1a50093e00277f8e4945dc48a27fa0eca3d 100755 (executable)
@@ -1,2 +1,4 @@
 #!/bin/sh
-i3status -c ${XDG_CONFIG_HOME:-~/.config}/i3status/tint2-$1 | sed -ue 's/fc=\(#[a-f0-9]\{3,6\}\)/span color="\1"/gi;s_/fc_/span_g'
+u=-u
+if readlink -f $(which sed) | grep -q /busybox; then u=''; fi
+i3status -c ${XDG_CONFIG_HOME:-~/.config}/i3status/tint2-$1 | sed $u -e 's/fc=\(#[a-f0-9]\{3,6\}\)/span color="\1"/gi;s_/fc_/span_g'
index b59f04a080b7cc33bd2abc659c0199c1f29cf73c..89df22761ed72fb58384f66d0228a2abe4feebef 100755 (executable)
@@ -1,28 +1,30 @@
 #!/bin/sh
-base=~/.icons/Paper/24x24/panel/network
-excellent=$base-wireless-signal-excellent.svg
-     good=$base-wireless-signal-good.svg
-       ok=$base-wireless-signal-ok.svg
-      low=$base-wireless-signal-low.svg
-     none=$base-wireless-signal-none.svg
-  offline=$base-wireless-offline.svg
+base=~/.icons/Paper-Mono-Dark/24x24/panel/network-wireless
+excellent=$base-signal-excellent.svg
+     good=$base-signal-good.svg
+       ok=$base-signal-ok.svg
+      low=$base-signal-low.svg
+     none=$base-signal-none.svg
+ no_route=$base-no-route.svg
+  offline=$base-offline.svg
+
+echo $base-acquiring.svg
 while true; do
-       sleep 3
-       x=$(ifconfig wlan0 list sta)
-       if [ $? != 0 ]; then
+       x=$(cat /proc/net/wireless | awk 'NR < 3 {next} {printf "%.0f", $4}')
+       if [ -z $x ]; then
                echo $offline
-               continue
-       fi
-       x=$(echo "$x" | awk 'NR == 1 {next} {printf "%.0f", $5}')
-       if [ $x -ge 20 ]; then
+       elif [ $x -ge -55 ]; then
                echo $excellent
-       elif [ $x -ge 15 ]; then
+       elif [ $x -ge -65 ]; then
                echo $good
-       elif [ $x -ge 10 ]; then
+       elif [ $x -ge -75 ]; then
                echo $ok
-       elif [ $x -ge 5 ]; then
+       elif [ $x -ge -85 ]; then
                echo $low
-       else
+       elif [ $x -ge -90 ]; then
                echo $none
+       else
+               echo $no_route
        fi
+       sleep 2
 done
index 7e7471172195fe28021a79bee7d5d8b0b9d674d6..81ba565867a71709126053e309434cfbbe6acb5a 100755 (executable)
@@ -4,7 +4,7 @@
 
 # test
 if [ "$1" = "test" ]; then
-       mkdir() { echo -- "$*"; }
+       mkdir() { echo -- "$@"; }
        alias ln="echo ln"
        alias rm="echo rm"
        alias cap_mkdb="echo cap_mkdb"
@@ -17,18 +17,17 @@ mkdir -p bin etc share share/fonts .urxvt/ext .icons .themes > /dev/null 2>&1
 mkdir -pm 700 var/tmp var/tmp/vim > /dev/null 2>&1
 cd -
 
-# accomodate multiple userlands
-fex='-perm -ugo=x'
-lnargs=-sfnv
+# ensure ostype
 if [ -z "$OSTYPE" ]; then
        OSTYPE=`uname -s | tr '[:upper:]' '[:lower:]'`
 fi
+
+# accomodate multiple userlands
+lnargs=-sfnv
 case "$OSTYPE" in
        # TODO: make links safer for systems without -Fw
        freebsd*)               lnargs=-sFhvw;;
        netbsd|openbsd*)        lnargs=-sfhv;;
-       # android busybox find doesn't have -executable
-       android)                fex=-executable;;
 esac
 
 l() {
@@ -46,11 +45,13 @@ done
 find "$PWD/xdg" -mindepth 1 -maxdepth 1 | while read -r x; do
        l "$HOME/etc/`basename "$x"`"
 done
-find "$PWD/urxvt-ext" -type f $fex -mindepth 1 -maxdepth 2 | while read -r x; do
+find "$PWD/urxvt-ext" -type f -perm -111 -mindepth 1 -maxdepth 2 | while read -r x; do
        l "$HOME/.urxvt/ext/`basename $x`"
 done
-find "$PWD/xorg/icons" -type d -mindepth 2 -maxdepth 2 | while read -r x; do
-       l "$HOME/.icons/`basename "$x"`"
+find "$PWD/xorg/icons" -type d -mindepth 1 -maxdepth 2 | while read -r x; do
+       if [ -e "$x/index.theme" ]; then
+               l "$HOME/.icons/`basename "$x"`"
+       fi
 done
 find "$PWD/xorg/themes" -type d -mindepth 1 -maxdepth 1 | while read -r x; do
        l "$HOME/.themes/`basename "$x"`"
@@ -59,15 +60,5 @@ find "$PWD/xorg/fonts" -type d -mindepth 1 -maxdepth 1 | while read -r x; do
        l "$HOME/share/fonts/`basename "$x"`"
 done
 
-cd ~
-if [ "$OSTYPE" = "freebsd" ]; then
-       # FreeBSD tries `_secure_path' on `.login_conf' before reading the
-       # database, so it needs to be compiled and unlinked for it to actually
-       # take effect.
-       rm .login_conf.db
-       cap_mkdb .login_conf
-fi
-unlink .login_conf
 # run .zprofile to set up tmp
-zsh .zprofile
-cd -
+zsh ~/.zprofile
index fcdfcb04e014ba04140fb23eddf9004a60b0b75a..3761d59b39b6cf68f2ef7b20314fb6ea28419873 100644 (file)
@@ -3,10 +3,10 @@ shadow = true;
 no-dnd-shadow = true;
 no-dock-shadow = true;
 clear-shadow = true;
-shadow-radius = 7;
-shadow-offset-x = -7;
-shadow-offset-y = -7;
-shadow-opacity = 1;
+shadow-radius = 8;
+shadow-offset-x = -12;
+shadow-offset-y = -12;
+shadow-opacity = 0.3;
 shadow-exclude = [
        # gtk3 fix
        "_GTK_FRAME_EXTENTS@:c",
@@ -28,7 +28,8 @@ inactive-opacity = 0.875;
 active-opacity = 1;
 alpha-step = 0.01;
 inactive-dim = 0.075;
-blur-background = true;
+# XXX: crashes on alpine???
+#blur-background = true;
 blur-kern = "5,5,0.367879,0.535261,0.606531,0.535261,0.367879,0.535261,0.778801,0.882497,0.778801,0.535261,0.606531,0.882497,0.882497,0.606531,0.535261,0.778801,0.882497,0.778801,0.535261,0.367879,0.535261,0.606531,0.535261,0.367879,"
 opacity-rule = [
        # i3 tabbed windows
index e7e66f56d250761cde0d914a8c7cd7392ea7c3fe..3aaed9e731e96789073ba5bd6a43d1f4c1a62b7a 100644 (file)
@@ -211,11 +211,33 @@ workspace_auto_back_and_forth yes
 force_display_urgency_hint 2000 ms
 
 # color definitions
-#   class     border  backgr. text    indicator child_border
-set $focused  #cc6600 #aa5500 #eee8d5 #4466ff   #cc6600
-set $inactive #884400 #221100 #93a1a1 #264bd2   #884400
-set $urgent   #ff4444 #dc322f #000000 #4466ff   #ff4444
-set $blue     #4466ff #268bd2 #fdf6e3 #264db2   #4466ff
+#   generic
+set $bg    #110800
+set $fg    #93a1a1
+#   focused
+set $f_bdr #cc6600
+set $f_bg  #aa5500
+set $f_fg  #eee8d5
+set $f_ind #4466ff
+set $f_chb #cc6600
+#   inactive
+set $i_bdr #884400
+set $i_bg  #221100
+set $i_fg  $fg
+set $i_ind #264bd2
+set $i_chb #884400
+#   urgent
+set $u_bdr #ff4444
+set $u_bg  #dc322f
+set $u_fg  #000000
+set $u_ind #4466ff
+set $u_chb #ff4444
+#   blue
+set $b_bdr #4466ff
+set $b_bg  #268bd2
+set $b_fg  #fdf6e3
+set $b_ind #264db2
+set $b_chb #4466ff
 
 bar {
        position top
@@ -225,25 +247,25 @@ bar {
        separator_symbol "|"
 
        colors {
-               background #110800
-               statusline #93a1a1
-               separator  #268bd2
+               background $bg
+               statusline $fg
+               separator  $b_ind
 
                # class            border  backgr. text
-               focused_workspace  $focused
-               active_workspace   $inactive
-               inactive_workspace $inactive
-               urgent_workspace   $urgent
-               binding_mode       $blue
+               focused_workspace  $f_bdr  $f_bg   $f_fg
+               active_workspace   $i_bdr  $i_bg   $i_fg
+               inactive_workspace $i_bdr  $i_bg   $i_fg
+               urgent_workspace   $u_bdr  $u_bg   $u_fg
+               binding_mode       $b_bdr  $b_bg   $b_fg
        }
 }
 
 # colors
 # class                 border  backgr. text    indicator child_border
-client.focused          $focused
-client.focused_inactive $inactive
-client.unfocused        $inactive
-client.urgent           $urgent
-client.placeholder      $blue
+client.focused          $f_bdr  $f_bg   $f_fg   $f_ind    $f_chb
+client.focused_inactive $i_bdr  $i_bg   $i_fg   $i_ind    $i_chb
+client.unfocused        $i_bdr  $i_bg   $i_fg   $i_ind    $i_chb
+client.urgent           $u_bdr  $u_bg   $u_fg   $u_ind    $u_chb
+client.placeholder      $b_bdr  $b_bg   $b_fg   $b_ind    $b_chb
 
 client.background       #221100
index 96da1610d2f07489e13ecb1a265657be59a7e925..3aa9e089d7bdd8ffa6acf352ce59a608c6656f89 100644 (file)
@@ -1,4 +1,4 @@
-#---- Generated by tint2conf 457d ----
+#---- Generated by tint2conf b99b ----
 # See https://gitlab.com/o9000/tint2/wikis/Configure for 
 # full documentation of the configuration options.
 #-------------------------------------
@@ -9,6 +9,8 @@
 rounded = 0
 border_width = 1
 border_sides = TBLR
+border_content_tint_weight = 0
+background_content_tint_weight = 0
 background_color = #221100 100
 border_color = #884400 100
 background_color_hover = #000000 0
@@ -20,6 +22,8 @@ border_color_pressed = #000000 0
 rounded = 0
 border_width = 1
 border_sides = TBLR
+border_content_tint_weight = 0
+background_content_tint_weight = 0
 background_color = #dc322f 100
 border_color = #ff4444 100
 background_color_hover = #000000 0
@@ -31,6 +35,8 @@ border_color_pressed = #000000 0
 rounded = 0
 border_width = 0
 border_sides = 
+border_content_tint_weight = 0
+background_content_tint_weight = 0
 background_color = #110800 100
 border_color = #000000 0
 background_color_hover = #000000 0
@@ -42,6 +48,8 @@ border_color_pressed = #000000 0
 rounded = 0
 border_width = 1
 border_sides = TBLR
+border_content_tint_weight = 0
+background_content_tint_weight = 0
 background_color = #aa5500 100
 border_color = #cc6600 100
 background_color_hover = #000000 0
@@ -53,6 +61,8 @@ border_color_pressed = #000000 0
 rounded = 0
 border_width = 1
 border_sides = TBLR
+border_content_tint_weight = 0
+background_content_tint_weight = 0
 background_color = #268bd2 100
 border_color = #4466ff 100
 background_color_hover = #000000 0
@@ -62,7 +72,7 @@ border_color_pressed = #000000 0
 
 #-------------------------------------
 # Panel
-panel_items = ET:SEECB
+panel_items = ET:SEEECB
 panel_size = 100% 28
 panel_margin = 0 0
 panel_padding = 0 1 0
@@ -84,6 +94,8 @@ mouse_effects = 0
 font_shadow = 0
 mouse_hover_icon_asb = 100 0 0
 mouse_pressed_icon_asb = 100 0 0
+scale_relative_to_dpi = 0
+scale_relative_to_screen_height = 0
 
 #-------------------------------------
 # Taskbar
@@ -117,6 +129,8 @@ task_maximum_size = 150 0
 task_padding = 1 0 2
 task_font = Dina 8
 task_tooltip = 1
+task_thumbnail = 0
+task_thumbnail_size = 210
 task_font_color = #93a1a1 100
 task_active_font_color = #eee8d5 100
 task_urgent_font_color = #000000 100
@@ -199,7 +213,7 @@ ac_disconnected_cmd =
 # Separator 1
 separator = new
 separator_background_id = 0
-separator_color = #268db2 100
+separator_color = #264db2 100
 separator_style = line
 separator_size = 1
 separator_padding = 5 0
@@ -230,6 +244,28 @@ execp_icon_h = 0
 #-------------------------------------
 # Executor 2
 execp = new
+execp_command = ~/bin/tint2-alsa
+execp_interval = 0
+execp_has_icon = 1
+execp_cache_icon = 1
+execp_continuous = 1
+execp_markup = 0
+execp_tooltip = 
+execp_lclick_command = urxvtc -e alsamixer
+execp_rclick_command = 
+execp_mclick_command = 
+execp_uwheel_command = amixer set Master 1%+
+execp_dwheel_command = amixer set Master 1%-
+execp_font_color = #000000 100
+execp_padding = 0 0
+execp_background_id = 0
+execp_centered = 0
+execp_icon_w = 0
+execp_icon_h = 0
+
+#-------------------------------------
+# Executor 3
+execp = new
 execp_command = ~/bin/tint2-wifi
 execp_interval = 0
 execp_has_icon = 1
@@ -242,7 +278,7 @@ execp_rclick_command =
 execp_mclick_command = 
 execp_uwheel_command = 
 execp_dwheel_command = 
-execp_font_color = #93a1a1 100
+execp_font_color = #000000 100
 execp_padding = 0 0
 execp_background_id = 0
 execp_centered = 0
@@ -250,7 +286,7 @@ execp_icon_w = 0
 execp_icon_h = 0
 
 #-------------------------------------
-# Executor 3
+# Executor 4
 execp = new
 execp_command = ~/bin/tint2-i3status cpu-net
 execp_interval = 0
index d2476a6274cd4a690d344de94984f481ca7783cc..4bf8666ef7f67a30e41a3aa8e20805daedc53a5f 160000 (submodule)
@@ -1 +1 @@
-Subproject commit d2476a6274cd4a690d344de94984f481ca7783cc
+Subproject commit 4bf8666ef7f67a30e41a3aa8e20805daedc53a5f
This page took 0.080381 seconds and 4 git commands to generate.